<?php

namespace Gaco\SnapBi\Contracts;

use Illuminate\Http\JsonResponse;

interface ResponseInterface
{
    /**
     * Return success response
     */
    public function success(array $data = []): JsonResponse;

    /**
     * Return error response
     */
    public function error(array $data = []): JsonResponse;
}

